
/* *****FONTS***** */
@import url('https://fonts.googleapis.com/css2?family=Merriweather:wght@300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Crimson+Text:wght@400;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=UnifrakturCook:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;700&display=swap');


body {
    margin:0;
    background-color: #0b0b0b;
}

h1 {
    text-align: center;
    color:#bbb;
}

.center {
  text-align:center;
}

/* *****COLORS*****  */

:root{
    --midnight-black: #0b0b0b;
    --velvet-mulberry: #6a3458;
    --sanctified-violet: #5a3a6b;
    --amethyst-glow: #a678c3;
    --burnished-antique-gold: #8c6a1c;
    --antique-gold: #d4af37;
    --radiant-gold: #ffd700;
    --ivory-glow: #f5e6c8;
    --shadow-brown: #2a1e1a;

    --title: "UnifrakturCook", cursive;
    --heading: "Cinzel Decorative", serif;
    --button: "Merriweather", sans-serif;
    --body: "Crimson Text", sans-serif;
    --paragraph: 'Montserrat', sans-serif;
}



.header{
  width: 100%;
  margin-bottom: 0px;
}


.body {
    width: 100%;
    margin-top:0px;
    background-color:#0b0b0b;
}



/* *****JOIN THE CONGREGATION***** */
.intro {
    margin-left: 50px;
    margin-right: 50px;
    margin-top: 0px;
    margin-bottom: 0px;
    text-align: left;
    color:#bbb;
    background-color: none;
    border-radius: 40px;
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 1.5rem;

}

.blurb {
    display: grid;
    border: 2px, solid, #0b0b0b;
    padding: 6px 6px 6px 6px;
    margin-top: 10px;
    border-radius: 40px;
    background-color: rgba(106, 52, 88, 0.5);
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
    line-height: 1.2;
    
}

.responsive-text {
  /* Minimum: 1.5rem, Fluid target: 5vw of screen, Maximum: 4rem */
  font-size: clamp(1.5rem, 5vw, 1.7rem); 
}

/* *****FACTS***** */

.facts {

  display: grid;
  border: 2px, solid, #0b0b0b;
  padding: 12px 12px;
  border-radius: 40px;
  flex-direction: column;
}

.buttonFacts {
    margin-top: 30px;
    margin-bottom: 30px;
    padding: 0px;
    width: 100%;
    border: 1.2rem, solid, #0b0b0b;
    border-radius: 60px;
    cursor: pointer;
    background-color: rgba(0,0,0,0);
    text-align: center;
    display: flex;
    position: relative;
    transition: transform 0.6s ease, box-shadow 0.4s ease;
    -webkit-tap-highlight-color: transparent;
}

.generatefact {
  text-align: center;
  color: #8c6a1c;
  font-family: "Cinzel Decorative", serif;
  font-size: 2.5rem;
  font-weight: 700;
  letter-spacing: 2px;
}

@media (max-width: 900px) {
    .intro {
      grid-template-columns: repeat(1, minmax(0, 1fr))
    }
}

.containerFacts {
    width: 100%;
    margin-top: 0px;
    padding-top: 20px;
    padding-bottom: 30px;
    padding-left: 30px;
    padding-right: 30px;
    text-align: center;
    color: #f5e6c8;
    text-shadow: 1px 1px 4px #8c6a1c;
    font-weight: 400;
    font-family: "Montserrat", sans-serif; 
    font-size: 1.3rem;
    letter-spacing: 0px;
  

}

.factBox {
    width:100%;
    color:#000000;
    margin: auto;
    text-align: center;
    animation: fact-fade 2s ease-in-out forwards;
}

.btnfact {
    text-align: center;
    -webkit-tap-highlight-color: transparent;
}

.buttonFacts:hover, .photo-slides:hover {
  transform: translateY(-5px); 
  box-shadow: 0 0 25px 5px #d4af37;
}

/*
.fact-fade {
    animation: fact-fade 0.8s ease-out;
}

@keyframes fact-fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
*/


/* ***** DIRECTORY CARDS***** */

.directory {
    padding-left: 30px;
    padding-right: 30px;
    padding-bottom: 100px;
}

.section-title {
    text-align: center;
}

.alt-section-title {
    text-align: center;
    color:#8c6a1c;
    font-family: var(--heading);
    font-size: 2.5rem;
    letter-spacing:2px;
}

.card-grid {
    list-style: none;
    padding: 0;
    margin: 0;
    display: grid;
    gap:10px 10px;
    grid-template-columns: 1fr;
    align-items: stretch;
}

@media (min-width: 600px) {
    .card-grid {
      grid-template-columns: repeat(2, minmax(0, 1fr))
    }
}

@media (min-width: 1050px) {
    .card-grid {
      grid-template-columns: repeat(4, minmax(0, 1fr))
    }
}

.card-item {
    display: flex;
}

.card {
    position: relative;
    text-align: center;
    padding: 50px 30px;
    background-color: #0b0b0b;
    border: 0px solid rgba(212, 175, 55, 0.5);
    border-radius: 8px;
    width: 100%;
    flex-direction: column;
    animation-name: innerGlow;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    transition: transform 0.6s ease;
}

.card:hover {
  transform: translateY(-5px); 
}

.card-link {
    font-size: 1.5rem;
    text-decoration: none;
    font-family: var(--button);
    letter-spacing:1px;
    color:rgba(245, 230, 200, 0.7);
    background-color: rgba(106, 52, 88, 0.5);
    border-radius:10px;
    text-align: center;
    padding: 12px;
}

.card-link::after {
    content: "";
    position: absolute;
    top:0;
    right:0;
    bottom: 0;
    left:0;
    z-index: 1;
    margin-top: auto;
}

.card-title {
    color: #d4af37;
    font-family: var(--heading);
    font-size: 2rem;
}

.card-text {
    color:#8c6a1c;
    font-family: var(--paragraph);
    font-size: 1.5rem;
    font-style: italic;
}

.card-image {
    width: 50%;
    margin: 0px;
}

.deity-card-image {
    width: 80%;
    margin: 0px;
}

@keyframes innerGlow {
  0% {box-shadow: inset 0 0 20px 10px rgba(140, 106, 28, 0.7);}
  50% {box-shadow: inset 0 0 10px 5px rgba(212, 175, 55, 0.3);}
  100% {box-shadow: inset 0 0 20px 10px rgba(140, 106, 28, 0.7);}
}



/* *****PRAYERS***** */
.buttonPrayer {
    width: 100%;
    border: 0px; 
    cursor: pointer;
    background-color: #0b0b0b;
    padding-top:20px;
    text-align: center;
    -webkit-tap-highlight-color: transparent;
}


.containerPrayer {
    width: 100%;
    margin-top: 0px;
    padding-top: 60px;
    height: 100%;
    text-align: center;
    color: #d4af37;
    text-shadow: 1px 1px 0px var(--shadow-brown);
    font-weight: 500;
    font-family: Georgia, serif; 
    font-size: 3rem;
    font-style: italic;
    letter-spacing: 5px;
    display: flex;
    justify-content: center;
    background-color: #0b0b0b;
}

.prayerBox {
    color:#000000;
    margin: auto;
}


#textcontainer {
    margin-top: 20px;
    margin-left: 20%;
    margin-right: 20%;
    padding-top: 20px;
    background-color: #0b0b0b;
    color: #d4af37;
    text-align: center;
    font-size: 2rem;
    letter-spacing: 4px;
    transition: transform 0.8s ease;
}

.btn {
  text-align: center;
  -webkit-tap-highlight-color: transparent;
}






/* *****FAQ COLLAPSIBLE CONTAINER***** */

.collapsible-container {
  margin-left:6%;
  margin-right:6%;
  margin-top:8px;

}

.collapsible {
  background-color: rgba(106, 52, 88, 0.3);
  cursor: pointer;
  margin-left:10%;
  margin-right:10%;
  margin-top:2px;
  width:80%;
  padding: 15px;
  border:none;
  border-bottom: 2px outset var(--burnished-antique-gold);
  border-radius: 10px;
  text-align: left;
  color: var(--ivory-glow);
  outline: none;
  font-family: var(--paragraph);
  font-size: 1.2rem;
  font-weight: 500;
  letter-spacing: 1px;
  transition: transform 0.8s ease;
}

.active, .collapsible:hover {
  background-color: rgba(245, 230, 200, 0.5);
  color:#0b0b0b;
  font-weight:900;
  transform: translateY(-5px); 
  box-shadow: 0 0 15px 1px var(--burnished-antique-gold);
}

.collapsible:after {
  content: '\002B';
  color: var(--burnished-antique-gold);
  font-weight: bold;
  float: right;
  margin-left: 5px;
}

.collapsible:focus,
.collapsible:active {
  background-color: rgba(245, 230, 200, 0.5);
  color: #0b0b0b;
}

.content {
  padding: 5px 0px 20px 0px;
  margin-left: 12%;
  margin-right: 12%;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  color: var(--burnished-antique-gold);
  font-family: var(--paragraph);
  font-size: 1.2rem;
}




/* *****DEITIES AND NEWS PAGE SLIDE SHOW CONTAINER***** */

.newsletter {
    margin-left:10%;
    margin-right:10%;
    margin-top:50px;
    border: 10px solid rgba(106, 52, 88, 0.2);
    background-color: rgba(106, 52, 88, 0.3);
}

/*{box-sizing:border-box}*/

/* Slideshow container */
.slideshow-container {
  width: 100%;
  position: relative;
  margin: auto;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

#slide1 {display:block}


/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 106%;
  width: auto;
  margin-top: -22px;
  padding: 10px;
  color: #DCDCDC;
  font-weight: bold;
  font-size: 42px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev {
  left: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover, .prev-photo:hover, next-photo:hover {
  background-color: rgba(0,0,0,0.8);
  transform: translateY(-5px); 
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-family: helvetica;
  font-size: 12px;
  padding: 0px 0px;
  padding-top: 8px;
  padding-bottom: 8px;
  position: relative;
  top: 0px;
  width: 100%;
  text-align: center;
  background-color: #0000009F;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-family: helvetica;
  font-size: 12px;
  padding: 2px 10px;
  position: Absolute;
  top: 0;
  text-align: center;
  text-shadow: 4px 4px 4px #000000;
  letter-spacing: 4px;
}


/* *****DEITIES DESIGN***** */

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  padding: 8px 20px 8px 20px;
  height: 2.5rem;
  border: 3px, solid, #8c6a1c;
  border-radius: 20px;

  text-align: center;
  margin: 4px 2px;
  display: inline-block;
  background-color: rgba(106, 52, 88, 0.4);
  transition: transform 0.6s ease, background-color 0.4s ease;
}

.active, .dot:hover, .photo-slides:hover {
  background-color: var(--shadow-brown);
  transform: translateY(-5px); 
  color: var(--ivory-glow);
}


/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}


.page-selector {
    text-align: center;
    margin-top:30px;
    font-family: var(--heading);
    color: var(--burnished-antique-gold);
    font-size: 2rem;
    font-weight:700;
}

.deityContainer {
    padding-left:5%;
    padding-right:5%;
    margin-top: 50px;
    margin-bottom: 50px;
    text-align: center;
}

.backbtn {
    position: inline;
    margin-left:5%;
    font-size: 1.5rem;
    text-decoration: none;
    font-family: var(--button);
    letter-spacing:1px;
    color:rgba(245, 230, 200, 0.7);
    background-color: var(--shadow-brown);
    border-radius:10px;
    text-align: center;
    padding: 12px;
}

.deity-description {
  padding-top: 40px;
    color:#8c6a1c;
    font-family: var(--paragraph);
    text-align: center;
    font-size: 1.1rem;
}

#deitypic {
  width: 60%;
  min-width: 250px;
  max-width: 450px;
  box-shadow: 0 0 40px 15px #8c6a1c;
  border-radius: 40px;
}

.deity-subtitle {
  margin-bottom: -12px;
  padding-bottom: 0px;
  text-transform: uppercase;
}

.stopSmokey {
    padding-top: 20px;
    padding-left: 20px;
    padding-right:20px;
    padding-bottom: 20px;
    background-color: var(--shadow-brown);
    border-radius: 20px;
    color: var(--antique-gold);
    font-family: var(--paragraph);
    text-align: justify;
    font-size: 0.9 rem;
}

.smol {
  color: var(--ivory-glow);
  font-family: var(--paragraph);
  font-size: 1rem;
}

.left-description {
  padding-top: 40px;
    color:#8c6a1c;
    font-family: var(--paragraph);
    text-align: left;
    font-size: 1.1rem;
}

.justify-description {
  padding-top: 40px;
    color:#8c6a1c;
    font-family: var(--paragraph);
    text-align: justify;
    font-size: 1.5rem;
}

/* *****MEMBERS PAGE***** */
.members {
 /* background-image: url(../PHOTOS/DESIGNS/scroll.png);*/
  background-repeat: no-repeat;
  background-position: center;
  /*min-width: 80%;*/
  height: 100%;
  /*aspect-ratio: 9 / 16; */
  background-color: var(--ivory-glow);
  padding-bottom: 50px;
}

.council {
    background-color:#0b0b0b;
}


.names {
    font-size: 2rem;
    font-family: var(--heading);
    font-weight: 700;
    letter-spacing: 3px;
    line-height: 2rem;
    white-space: normal;
    overflow-wrap: anywhere;
    word-break: break-word;
    max-width: 25ch;
    margin: 0 auto;
}

.memberInfo {
  font-family: var(--paragraph);
  color: var(--burnished-antique-gold);
  font-size: 1.2rem;
  font-weight: 700;
  padding-bottom: 30px;
  letter-spacing: 1px;
  line-height: 1.2rem;
}

.public-members {
    color: var(--shadow-brown);
    text-align: center;
    line-height: 5px;
    padding-bottom: 10px;
}

.membersList {
    color: var(--shadow-brown);
    text-align: center;
    line-height: 5px;
    padding-bottom: 10px;
}

.scroll {
    height: 700px;
    overflow-y: auto;
}


.councilList{
    color: var(--shadow-brown);
    text-align: center;
    list-style: none;
    line-height: 5px;
    padding-bottom: 10px;
    padding-top: 10px;

}

.membersTitle {
    color: var(--shadow-brown);
    padding-bottom: 10px;
    line-height: 3.1rem;
    font-family: var(--heading);
    text-align: center;

}

/* *****JOIN***** */
.join {
  text-align: center;
  margin-left: 5%;
  margin-right: 5%;
}






/* *****PRACTICES PAGE***** */
.sayingsContainer {
  color: var(--ivory-glow);
  text-align: center;
}

.practices-title {
  margin-top: 2rem;
}

.practices-pic {
  width: 50%;
  max-width: 225px;
  box-shadow: 0 0 10px 2px #8c6a1c;
  border-radius: 50%;
  margin-top: 0px;
}

.ritualsContainer {
  margin-top: 0px;
  color: var(--ivory-glow);
  text-align: center;
}

.rituals-pic {
  width: 50%;
  box-shadow: 0 0 10px 2px #8c6a1c;
  border-radius: 50%;
  margin-top: 50px;
}

/* ART */

.bush-container {
    margin-left:20%;
    margin-right: 20%;
    margin-top: 50px;
    margin-bottom: 20px;
    height: 100%;
    text-align: center;
    font-size: 1.2rem;
    font-family: var(--button);
    color: var(--burnished-antique-gold);
}


.bush-blurb {

    display: grid;
    border: 2px, solid, #0b0b0b;
    padding: 12px 24px;
    border-radius: 40px;
    font-family: "Montserrat", sans-serif;
    font-size: 1.3rem;
    flex-direction: column;
}

.bush-pic {
  border-radius: 200px;

}

.bush-button {
  background-color: var(--burnished-antique-gold);
  color: #2a1e1a;
  font-family: var(--button);
  font-size: 2rem;
  font-weight: 900;
}

.a {
  text-decoration: none;
  color: var(--amethyst-glow);
  font-style: italic;
}



/* *****ORIGINS***** */
.prev-photo, .next-photo {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 18px;
  color: #DCDCDC;
  font-weight: bold;
  font-size: 42px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next-photo {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev-photo {
  left: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev-photo:hover, .next-photo:hover {
  background-color: rgba(0,0,0,0.8);
  transform: translateY(-5px); 
}



/* The dots/bullets/indicators */
.photo-slides {
  cursor: pointer;
  height: 2.5rem;
  border-radius: 20px;
  margin: 4px 2px;
  padding: 8px 18px 8px 18px;
  display: inline-block;
  transition: transform 0.6s ease, background-color 0.4s ease;
}